Subject: Re: [JGIT PATCH 1/9] mavenizing step 1: moved over the initial poms from Jasons branch Signed-off-by: Mark Struberg <[email-masked]>

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 30 Sep 2009 14:16:46 -0700

Mark Struberg <[email-masked]> wrote:
> > From: Jonas Fonseca <[email-masked]>
> > actually
> > removes features (by not keeping the JGit specific
> > settings), which
> > you then try to amend later in the patch series.
> 
> I'm not sure what JGit specific settings you speak about?

I think he's talking about the Eclipse settings files?  Or is it
something else?
 
> > In terms of making the patch series more manageable for
> > you, I think
> > the best approach is to start with the patches not relevant
> > to the
> > mavenizing (renaming PathSuffixTestCase). 
> 
> In fact the fix of the PathSuffixTestCase came a few days later
> after I found the reason why I miss a few tests. This should be
> fixed in the current master anyway and has not so much todo with
> the mavenization itself.

But it should be earlier in the series because its easier to apply.
Use rebase -i to swap the order of the patches.

> I had the following in mind: every single commit should be
>  compileable and working. So it's not easily manageable to move the
> directory structure in one patch and apply all the changes into
> the poms in another commit.

Well, you need to edit the pom to change the source directory and do
the move in one commit, and then edit the pom further in another,
possibly removing the source directory directories once it is the
standard maven layout.

> We could for sure squash the later few commits, but I didn't
> liked to rebase and push since there have been a few forks of the
> mavenize branch and I hoped I could pull back a few commits from
> others and later do a rebase -i.

True.

At this point we need to rebase the patches on the new history in
the eclipse.org-post branch, which contains a massive rename of
org.spearce to org.eclipse.  That may make the tree reorg patch in
your Maven series harder to bring over to the new history, sorry.

Worse, we now have to start following the Eclipse IP process[1]
for submissions to JGit...

[1] http://www.eclipse.org/projects/dev_process/ip-process-in-cartoons.php

-- 
Shawn.